# adventist.corporate Theme for netAdventist

## Installation

This theme can be installed the same way as any other theme. Just download the
theme package and upload that through the "Theme and Templates" admin
interface.

## About URL & Setup Instructions URL

Alongside the development of this theme, 2 new fields were added to core:
about_url and setup_instructions_url. These values show up below the selected
theme in the "Theme and Templates" area of the admin interface. They will be
clickable links that will take the user to wherever they are set. The main
purpose of these links are to provide the user with more information about a
theme (who created it, why it was created, etc.) and much more detailed,
step-by-step instructions on how to get the most out of the theme by setting
things up the way the author intended (like activating an extension and
placing a widget in a specific area).

## Required Extensions

This theme requires that the following extensions be installed and activated
before the theme is applied to a site: adventistid and slideshow. The theme
has these requirements declared in its about.yml so netAdventist core will do
its best to find and activate these extensions at the time of theme
activation. If it cannot, it will abort theme activation and let the user know
which extensions are missing or failed activation.

## Preloaded Widgets

As part of the Required Extensions, we are pre-loading some widgets into the
main theme layouts. These are defined alongside the layouts in layouts.yml.
For the home page, we pre-load the slideshow widget into our #hero_unit widget
container and we pre-load the 2 adventistid widgets into the callout_large and
callout_sall widget containers. These are pre-placed and pre-configured
widgets within those containers. They can be overridden or even removed by the
user. If the user already has any widgets at all, we assume they've already
got things set up how they'd want and we just ignore the pre-loaded widgets.
Pre-loaded widgets are really only useful for brand new netAdventist sites.

## Liquid Partials

Up until recently, liquid files weren't allowed to pull in other, partial
liquid files. These partial files make development a snap with reusable
components such as a common header and footer, navigation, sidebar, and more.
This theme makes extensive use of partials, even going so far as to load an
entire page in a partial that is shared amongst various, related layouts, each
passing in a variable that slightly alters the structure and appearance of the
layout. Check out the default.html.liquid file for an overview of partials and
the home.html.liquid for a more advanced use case.
